ChartDirector Ver 5.0 (PHP Edition)

AngularMeter.addRingSector

Usage

addRingSector(startRadius, endRadius, a1, a2, fillColor [, edgeColor ])

Description

Adds a ring sector or a sector to the meter.
This method is similar to the AngularMeter.addRing method, except that the ring it adds does not span the complete circle, but just part of the circle.

Arguments

Argument | Default | Description
--- | --- | ---
startRadius | (Mandatory) | The starting radius of the ring sector in pixels. To add a sector, set the starting radius to 0.
endRadius | (Mandatory) | The ending radius of the ring sector in pixels.
a1 | (Mandatory) | The starting angle of the ring sector in degrees. The angle is measured in degrees clockwise, with 0 being the upward pointing direction.
a2 | (Mandatory) | The ending angle of the ring sector in degrees. The angle is measured in degrees clockwise, with 0 being the upward pointing direction.
fillColor | (Mandatory) | The fill color of the ring sector.
edgeColor | -1 | The edge color of the ring sector. The default is the same as the fill color.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.